> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solvapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1sdkactivate



## OpenAPI

````yaml /api-reference/openapi.json post /v1/sdk/activate
openapi: 3.0.0
info:
  contact: {}
  description: The SolvaPay REST API specification
  title: SolvaPay REST API
  version: '1.0'
servers: []
security: []
tags: []
paths:
  /v1/sdk/activate:
    post:
      tags:
        - Activation
      operationId: ActivateSdkController_activate
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActivatePlanDto'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivatePlanResponseDto'
          description: ''
      security:
        - bearer: []
components:
  schemas:
    ActivatePlanDto:
      properties:
        customerRef:
          type: string
        planRef:
          type: string
        productRef:
          type: string
      required:
        - customerRef
        - productRef
        - planRef
      type: object
    ActivatePlanResponseDto:
      properties:
        checkoutSessionId:
          type: string
        checkoutUrl:
          type: string
        creditBalance:
          type: number
        creditsPerUnit:
          type: number
        currency:
          type: string
        message:
          type: string
        purchaseRef:
          type: string
        status:
          enum:
            - activated
            - already_active
            - topup_required
            - payment_required
            - invalid
          type: string
      required:
        - status
      type: object

````